Debian Bug report logs - #668773
puredata: FTBFS[kfreebsd]: error: #error No byte order defined

version graph

Package: src:puredata; Maintainer for src:puredata is Paul Brossier <piem@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sat, 14 Apr 2012 09:51:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version puredata/0.43.2-1

Fixed in version puredata/0.43.2-2

Done: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Paul Brossier <piem@debian.org>:
Bug#668773; Package src:puredata. (Sat, 14 Apr 2012 09:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Paul Brossier <piem@debian.org>. (Sat, 14 Apr 2012 09:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: puredata: FTBFS[kfreebsd]: error: #error No byte order defined
Date: Sat, 14 Apr 2012 11:50:06 +0200
Package: src:puredata
Version: 0.43.2-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -DPACKAGE_NAME=\"puredata\" -DPACKAGE_TARNAME=\"puredata\" -DPACKAGE_VERSION=\"0.43.2\" -DPACKAGE_STRING=\"puredata\ 0.43.2\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"puredata\" -DVERSION=\"0.43.2\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_LIBDL=1 -DSTDC_HEADERS=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_FCNTL_H=1 -DHAVE_LIMITS_H=1 -DHAVE_MALLOC_H=1 -DHAVE_NETDB_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_SYS_SOCKET_H=1 -DHAVE_SYS_SOUNDCARD_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYS_TIMEB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_STDLIB_H=1 -DHAVE_REALLOC=1 -DRETSIGTYPE=void -DHAVE_DUP2=1 -DHAVE_GETCWD=1 -DHAVE_GETHOSTBYNAME=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MEMMOVE=1 -DHAVE_MEMSET=1 -DHAVE_REGCOMP=1 -DHAVE_SELECT=1 -DHAVE_SOCKET=1 -DHAVE_STRCHR=1 -DHAVE_STRERROR=1 -DHAVE_STRRCHR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -I.    -DPD -DINSTALL_PREFIX=\"/usr\"  -DUSEAPI_JACK -DJACK_XRUN -DUSEAPI_OSS -DUSEAPI_PORTAUDIO  -I../portaudio/include    -O6 -funroll-loops -fomit-frame-pointer  -c -o pd-d_osc.o `test -f 'd_osc.c' || echo './'`d_osc.c
d_osc.c:37:2: error: #error No byte order defined
make[3]: *** [pd-d_osc.o] Error 1
make[3]: Leaving directory `/build/buildd-puredata_0.43.2-1-kfreebsd-amd64-1xbkeR/puredata-0.43.2/src'
make[2]: *** [all-recursive] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=puredata&arch=kfreebsd-amd64&ver=0.43.2-1&stamp=1334396650

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>:
You have taken responsibility. (Sun, 15 Apr 2012 08:51:16 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 15 Apr 2012 08:51:17 GMT) Full text and rfc822 format available.

Message #10 received at 668773-close@bugs.debian.org (full text, mbox):

From: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
To: 668773-close@bugs.debian.org
Subject: Bug#668773: fixed in puredata 0.43.2-2
Date: Sun, 15 Apr 2012 08:47:42 +0000
Source: puredata
Source-Version: 0.43.2-2

We believe that the bug you reported is fixed in the latest version of
puredata, which is due to be installed in the Debian FTP archive:

puredata-core_0.43.2-2_amd64.deb
  to main/p/puredata/puredata-core_0.43.2-2_amd64.deb
puredata-dev_0.43.2-2_all.deb
  to main/p/puredata/puredata-dev_0.43.2-2_all.deb
puredata-doc_0.43.2-2_all.deb
  to main/p/puredata/puredata-doc_0.43.2-2_all.deb
puredata-extra_0.43.2-2_amd64.deb
  to main/p/puredata/puredata-extra_0.43.2-2_amd64.deb
puredata-gui_0.43.2-2_all.deb
  to main/p/puredata/puredata-gui_0.43.2-2_all.deb
puredata-utils_0.43.2-2_amd64.deb
  to main/p/puredata/puredata-utils_0.43.2-2_amd64.deb
puredata_0.43.2-2.debian.tar.gz
  to main/p/puredata/puredata_0.43.2-2.debian.tar.gz
puredata_0.43.2-2.dsc
  to main/p/puredata/puredata_0.43.2-2.dsc
puredata_0.43.2-2_all.deb
  to main/p/puredata/puredata_0.43.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668773@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at> (supplier of updated puredata package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 14 Apr 2012 21:03:40 +0200
Source: puredata
Binary: puredata puredata-core puredata-gui puredata-doc puredata-dev puredata-utils puredata-extra
Architecture: source all amd64
Version: 0.43.2-2
Distribution: unstable
Urgency: low
Maintainer: Paul Brossier <piem@debian.org>
Changed-By: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Description: 
 puredata   - realtime computer music and graphics system
 puredata-core - realtime computer music and graphics system - core components
 puredata-dev - realtime computer music and graphics system - development files
 puredata-doc - realtime computer music and graphics system - documentation
 puredata-extra - realtime computer music and graphics system - extra files
 puredata-gui - realtime computer music and graphics system - GUI
 puredata-utils - realtime computer music and graphics system - utility programs
Closes: 668773
Changes: 
 puredata (0.43.2-2) unstable; urgency=low
 .
   * kFreeBSD endianness fixes (Closes: #668773)
Checksums-Sha1: 
 79fce17f2a2ed4dea867a9e27cd98629b17dbdd1 2315 puredata_0.43.2-2.dsc
 df01536244d4bf69f492311d2f6c043aebd29921 22736 puredata_0.43.2-2.debian.tar.gz
 1815083f2f9a41a32545bd6b9360b94f27e126da 16912 puredata_0.43.2-2_all.deb
 c7c3aa921e852ae8e3bac63029bbe61c632f6c33 1135112 puredata-core_0.43.2-2_amd64.deb
 3477eb23513c1292662249686db173d4ce4117c7 111226 puredata-gui_0.43.2-2_all.deb
 dc24329e1031913be84f608692ec41bf800b3fe5 995542 puredata-doc_0.43.2-2_all.deb
 115d02853d2f47a7b0c183e017972ea5cbf84b39 36812 puredata-dev_0.43.2-2_all.deb
 9f8f18afb061674bfd14ac210da2782bf295ea8a 24408 puredata-utils_0.43.2-2_amd64.deb
 84bc4448a5050a26c87b4425ccc5f2910c0cebcb 232116 puredata-extra_0.43.2-2_amd64.deb
Checksums-Sha256: 
 dae2a048516fa377970257eb6deced6754e24cddc063b1e428ae88deb98c2d32 2315 puredata_0.43.2-2.dsc
 dd4fdef80423cca41a885f2b56a75294632de5e5b0e3ce09616ee96023eef687 22736 puredata_0.43.2-2.debian.tar.gz
 2eebf539e6711b5a6772da3a03a9edefe96d0005234e57e6ccbc3d5576d45fc9 16912 puredata_0.43.2-2_all.deb
 fe45d9ca5a63ad703f99c8092cf240856f4e051f78543fece474ae41ae9fe4e1 1135112 puredata-core_0.43.2-2_amd64.deb
 466ea3e5f4293153f8c22c7a9eadfa7851079ca1bbb9f6ec0dea5897ebd90ba8 111226 puredata-gui_0.43.2-2_all.deb
 8a55fcb4b333a124e48388656080cf2c1c51cd5d0836c49c51c1a1dffb198c1b 995542 puredata-doc_0.43.2-2_all.deb
 c33406c76d882f2d65c6b326f9370a243026c8f2dca2d1009236beb2eeda8105 36812 puredata-dev_0.43.2-2_all.deb
 329b9bee694a8f055859662adde463fa1fdff3a759b36e27e27857c69f877e60 24408 puredata-utils_0.43.2-2_amd64.deb
 b3263e04823d3de3c390f7eec13c4e4a84a3818f3d33d1857d8b1f6d6c552a4c 232116 puredata-extra_0.43.2-2_amd64.deb
Files: 
 840660641e096a9dcdf4da11f119e9aa 2315 sound optional puredata_0.43.2-2.dsc
 86de449e0abe5ea2b615395086982fef 22736 sound optional puredata_0.43.2-2.debian.tar.gz
 3a2356e5fae429b46a8f19eddca35b03 16912 sound optional puredata_0.43.2-2_all.deb
 e189e74ac83172068f7964e4746d918b 1135112 sound optional puredata-core_0.43.2-2_amd64.deb
 e3d382a1629bb858f3dc304d2969a93d 111226 sound optional puredata-gui_0.43.2-2_all.deb
 5529397ae4c4434e35fc977df36ab346 995542 doc optional puredata-doc_0.43.2-2_all.deb
 c4f30f02427899815f1ba794b5e68fe3 36812 libdevel optional puredata-dev_0.43.2-2_all.deb
 3877d33499e9e9ca717022979c46920a 24408 utils optional puredata-utils_0.43.2-2_amd64.deb
 6d4ca3438bca925e9074cbfae96ef2cb 232116 sound optional puredata-extra_0.43.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPioc7AAoJEOikiuUxHXZaZNwP/2gvROXG+ZGoebXKjCvQlpkW
S41emOHoMw2w2unNJZPNCf/AhffRpdJC+yUzWcjqDjhFApPLqj0tHrd5RiVTGp2c
AeiPuoyl/eIfz+7evXcIpN6TRHkK+4kqVaEgfL+PolVTEJiVfXGIAeqPZmb9ynjY
LzJiqGoy24CFB1KRs66wHIkzGZRjiHYKONwlCfCdI1/QdlLVE1CF2sWvyDb/vGpt
RmqJo+9YCyu9kRwy4yZnmqTBs8hrVh0hXU17y61OXtMp+8phL1HV7I7FppFvC+Ge
k9Ixb8ha5HslKncQPjYDC1fy+Ud7xHpKQU7xz8PkReyZNXV4pEbXw8wswBMYeXIO
mm1kerZO03PrTO495UKL40qaEHpQxXuCfSCNSE9jrBuJQJMwivC+7OsndUYEIso7
oL/5mnTOlNOQn9K8tCVBYXwzamjLsaf0+AlYLuMUA322/L4Fb4L7G2Co9DgywHNh
lY3n+HF4Zy73rH7WxKfT5gIZi+sE2yPyGriwOwzNkZamBvneN6yoKZIPpBsYe+6I
bAs4vcEdJdXAu4D4IhbNRO0TWHgKYkPpoe/hI8SmNY3j41A3cuMXkIbbs5mYS/Ve
5/Vx4dV0o5YJ6QHqMZEJWu6qJqXRMXbfYbDEwKzo35EWcYkb5ftz4kdOsRnwm/BP
3CQBADribr6RMnO9d47e
=GS6i
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 May 2012 07:39:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:00:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.